PHP Manual
Prev |  | Next

# ps_add_pdflink

(PECL)

ps_add_pdflink -- Adds link to a page in a second pdf document

## Description

bool ps_add_pdflink ( resource psdoc, float llx, float lly, float urx, float ury, string filename, int page, string dest )

Places a hyperlink at the given position pointing to a second pdf document. Clicking on the link will branch to the document at the given page. The first page in a document has number 1.

The hyperlink start is a rectangle with its lower left corner at (llx, lly) and its upper right corner at (urx, ury). The rectangle has by default a thin blue border.

The hyperlink will not be visible if the document is printed or viewed but it will show up if the document is converted to pdf by either Acrobat Distiller™ or Ghostview.

## Parameters

psdoc

llx

lly

urx

ury

filename

page

dest

  The parameter dest determines how the document is being viewed. It can be fitpage, fitwidth, fitheight, or fitbbox.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

ps_add_launchlink()
ps_add_locallink()
ps_add_weblink()

Prev | Home | Next
ps_add_note | Up | ps_add_weblink